

from machine import Pin, I2C
import utime as time
from max6675 import MAX6675
from i2c_lcd import I2cLcd


so = Pin(15, Pin.IN)
sck = Pin(13, Pin.OUT)
cs = Pin(14, Pin.OUT)

max = MAX6675(sck, cs , so)
LCD_ADDR = 0x27
aux = 0          
i2c = I2C(0,scl=Pin(1), sda=Pin(0), freq=400000)
lcd = I2cLcd(i2c, LCD_ADDR, 2, 16)
lcd.clear()

while True:
    
    print(max.read())
    fahrenheit = 1.8*(max.read())+32
    print(fahrenheit)
    strg_temp= "C="+ str(max.read()) + " " + "F=" + str(fahrenheit) + "  "
    lcd.move_to(0, 1)
    lcd.putstr(strg_temp)
    lcd.move_to(1, 0)
    lcd.putstr("TEMPERATURE:")
    time.sleep_ms(800)
    
        

